Mailing List Archive

[PATCH v3 03/12] automation: pass --disable-werror for QEMUU builds if libc is musl
QEMU upstream builds with warnings when libc is musl:

#warning redirecting incorrect #include <sys/signal.h> to <signal.h>

Disable -Werror by passing --disable-werror to the QEMUU config script
if libc is musl.

Signed-off-by: Stefano Stabellini <stefano.stabellini@xilinx.com>
---
automation/scripts/build | 5 +++++
1 file changed, 5 insertions(+)

diff --git a/automation/scripts/build b/automation/scripts/build
index 7038e5eb50..3fb2fe134c 100755
--- a/automation/scripts/build
+++ b/automation/scripts/build
@@ -28,6 +28,11 @@ if [[ "${CC}" == "clang"* ]]; then
cfgargs+=("--disable-stubdom")
fi

+# disable --disable-werror for QEMUU when building with MUSL
+if ! test -z "$(ldd /bin/ls|grep musl|head -1)"; then
+ cfgargs+=("--with-extra-qemuu-configure-args=\"--disable-werror\"")
+fi
+
# Qemu requires Python 3.5 or later
if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 5); exit(not(res))"; then
cfgargs+=("--with-system-qemu=/bin/false")
--
2.17.1